# Obtain an access token

OAuth 2.0 Client Credentials grant. Returns a Bearer token valid for 1 hour.
Credentials may be passed in the request body or via HTTP Basic Auth header.

Endpoint: POST /v2/oauth/token
Version: 1.0.0
Security: 

## Request fields (application/x-www-form-urlencoded):

  - `grant_type` (string, required)
    Enum: "client_credentials"

  - `client_id` (string)
    Your API client ID (or use Basic Auth header instead)

  - `client_secret` (string)
    Your API client secret (or use Basic Auth header instead)

  - `audience` (string, required)
    Audience URN for your tenant (e.g. urn:ripplexcurrent-prod:)

## Response 200 fields (application/json):

  - `access_token` (string)
    JWT to include in all API requests

  - `token_type` (string)
    Enum: "Bearer"

  - `expires_in` (integer)
    Token validity in seconds (3600 = 1 hour)

## Response 400 fields (application/problem+json):

  - `type` (string)
    URI reference identifying the problem type

  - `title` (string)
    Short, human-readable summary of the problem

  - `status` (integer)
    HTTP status code

  - `code` (string)
    Machine-readable error code
    Enum: "TRANSACTION_NOT_FOUND", "INVALID_REQUEST_BODY", "UNKNOWN_EXCEPTION"


